#!/bin/bash

# Pour trouver les transactions qui ont eu lieu entre 2 comptes

export LESS='-S'

psql note -c "
   SELECT t.id, t.date, t.type,
          t.quantite, t.montant, t.description, t.valide, t.emetteur, t.destinataire,
          adhe.pseudo AS emetteur, adhd.pseudo AS destinataire
   FROM transactions AS t, comptes AS adhe, comptes AS adhd
   WHERE
       valide AND
       $1 in (emetteur, destinataire) AND
       $2 in (emetteur, destinataire) AND
       t.emetteur = adhe.idbde AND
       t.destinataire = adhd.idbde
   ORDER BY date DESC;"
